Subject: Re: [X2Go-Dev] Bug#1312: QT applications crash with x2go server 4.1.0.2

From: Adrian Bickerstaffe <[email-masked]>
Date: Tue, 23 Oct 2018 00:38:57 +0000

The main one is Rstudio 1.1.456 which was installed from the .deb package available from https://download1.rstudio.org/rstudio-xenial-1.1.456-amd64.deb (64.9MB).

Without the workaround, RStudio fails to launch with the same sort of error reported earlier in this thread. With the workaround, users reported “…quite difficult to navigate, slow response from server. In particular but not only when using R studio. As well as constant flickering of server window” and "The server window is often “flickering”, and response time is very slow."

From: Ulrich Sibiller <[email-masked]<mailto:[email-masked]>>
Reply-To: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Date: Monday, 22 October 2018 at 4:55 pm
To: Adrian Bickerstaffe <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Subject: Re: [X2Go-Dev] Bug#1312: QT applications crash with x2go server 4.1.0.2

Can you name some problematic apps that crash with the line commented? I have a patch that might help. I would like to test a bit.

Uli

Adrian Bickerstaffe <[email-masked]<mailto:[email-masked]>> schrieb am Mo., 22. Okt. 2018, 08:09:
I can verify that this also occurs on my compute servers running Ubuntu 14.04LTS and 16.04LTS.
Commenting the line:

X2GO_NXAGENT_DEFAULT_OPTIONS+=" -extension BIG-REQUESTS"

in x2goagent.options does resolve the issue, *but* there is a comment above that line:

# Disable BIG-REQUESTS, nx-libs does not implement this extension correctly.
# Leads to all sorts of weird crashes if left enabled.

…which unfortunately has proven to be true for my instances. The performance and reliability of x2go has dropped substantially since commenting the line.

Can we please raise the priority of this bug to restore performance?

Regards, Adrian.

_______________________________________________
x2go-dev mailing list
[email-masked]<mailto:[email-masked]>
https://lists.x2go.org/listinfo/x2go-dev<https://lists.x2go.org/listinfo/x2go-dev>